# app.h File Reference

writeme More...

`#include <sigc++/bind.h>`
`#include <gtkmm/main.h>`
`#include <string>`
`#include <list>`
`#include <ETL/smart_ptr>`
`#include <synfig/distance.h>`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <gtkmm/uimanager.h>`
`#include <synfigapp/instance.h>`
`#include "iconcontroller.h"`

Go to the source code of this file.

## Namespaces

namespace | Gtk
namespace | synfigapp
namespace | studio

## Classes

class | studio::App
struct | studio::App::Busy

## Defines

#define | MISC_DIR_PREFERENCE "misc_dir"
#define | ANIMATION_DIR_PREFERENCE "animation_dir"
#define | IMAGE_DIR_PREFERENCE "image_dir"
#define | SKETCH_DIR_PREFERENCE "sketch_dir"
#define | RENDER_DIR_PREFERENCE "render_dir"

## Typedefs

typedef Gtk::UIManager | studio::UIManager

## Functions

void | studio::delete_widget (Gtk::Widget *widget)

## Detailed Description

writeme

$Id$

## Define Documentation

#define MISC_DIR_PREFERENCE "misc_dir"

#define ANIMATION_DIR_PREFERENCE "animation_dir"

Referenced by studio::Instance::dialog_save_as(), and studio::App::dialog_save_file().

#define IMAGE_DIR_PREFERENCE "image_dir"

Referenced by studio::CanvasView::image_import().

#define SKETCH_DIR_PREFERENCE "sketch_dir"

#define RENDER_DIR_PREFERENCE "render_dir"